#import "HeapIoAnalyticsPlugin.h"
#import <Heap/Heap.h>


@implementation HeapIoAnalyticsPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"heap_io_analytics"
            binaryMessenger:[registrar messenger]];
  HeapIoAnalyticsPlugin* instance = [[HeapIoAnalyticsPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
          result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
      }else if ([@"initHeap" isEqualToString:call.method]) {
          NSString *appId = call.arguments[0];
          [Heap initialize:appId];
          result(@"Initialized");
      }
      else if ([@"identify" isEqualToString:call.method]) {
          NSString *userId = call.arguments[0];
          [Heap identify:userId];
          result(userId);
      }
      else if ([@"addUserProperties" isEqualToString:call.method]) {
          NSDictionary *json = call.arguments[0];
          [Heap addUserProperties:json];
          result(json);
      }
      else if ([@"resetIdentity" isEqualToString:call.method]) {
          [Heap resetIdentity];
      }
      else {
          result(FlutterMethodNotImplemented);
      }
}

@end
