
import 'dart:async';

import 'package:flutter/services.dart';

class HeapIoAnalytics {
  static const MethodChannel _channel =
      const MethodChannel('heap_io_analytics');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String> initHeap(String appId) async {
    var result = await _channel.invokeMethod('initHeap', [appId]);
    return result;
  }

  static Future<String> identify(String userId) async {
    var result = await _channel.invokeMethod('identify', [userId]);
    return result;
  }

  static Future<dynamic> addUserProperties(Map<String, String> json) async {
    var result = await _channel.invokeMethod('addUserProperties', [json]);
    return result;
  }

  static Future resetIdentity() async {
    await _channel.invokeMethod('resetIdentity');
  }
}
